Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1201338 - Review Request: python-uniseg - A pure Python module to determine Unicode text segmentation
Summary: Review Request: python-uniseg - A pure Python module to determine Unicode tex...
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2015-03-12 14:08 UTC by Murilo Opsfelder Araújo
Modified: 2016-08-10 16:42 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-10 16:42:00 UTC


Attachments (Terms of Use)

Description Murilo Opsfelder Araújo 2015-03-12 14:08:18 UTC
Spec URL: https://mopsfelder.fedorapeople.org/SPECS/python-uniseg.spec
SRPM URL: https://mopsfelder.fedorapeople.org/SRPMS/python-uniseg-0.7.1-1.20150312git6b1560cedb19.fc23.src.rpm
Description: Uniseg is a Python module that provides functions to wrap words based on Unicode Character Database (UCD) version 6.2.0.
Fedora Account System Username: mopsfelder

Koji task: http://koji.fedoraproject.org/koji/taskinfo?taskID=9210020

I need a sponsor.  Thanks!

Comment 1 Michael Schwendt 2015-03-12 22:25:10 UTC
[not a full review - just some drive-by comments]

 * https://fedoraproject.org/wiki/Packaging:LicensingGuidelines#License_Text
 * https://fedoraproject.org/wiki/Packaging:Guidelines#File_Permissions
 * https://fedoraproject.org/wiki/Packaging:Guidelines#BuildRoot_tag


> Version:        0.7.1

The included README says 0.7.0, so in case you've packaged a pre-release snapshot, it should either follow the pre-release versioning guidelines when keeping "Version: 0.7.1" or switch to "Version: 0.7.0" and follow the post-release guidelines:

 * https://fedoraproject.org/wiki/Packaging:Guidelines#Version_and_Release


> %files
> %{python2_sitelib}/*egg-info
> %{python2_sitelib}/uniseg
> %defattr(0755,root,root,-)
> %{_bindir}/uniseg-dbpath
> %{python2_sitelib}/uniseg/wraptest.py
> %{python2_sitelib}/uniseg/samples/uniwrap.py
> %{python2_sitelib}/uniseg/samples/unibreak.py
> %{python2_sitelib}/uniseg/samples/wxwrapdemo.py
> %{python2_sitelib}/uniseg/sentencebreaktest.py
> %{python2_sitelib}/uniseg/graphemeclustertest.py
> %{python2_sitelib}/uniseg/wordbreaktest.py

This %files section looks much as if it is the result of trial-and-error build attempts:

> %{python2_sitelib}/uniseg
> ...
> %{python2_sitelib}/uniseg/wraptest.py

If  %{python2_sitelib}/uniseg  is a directory, the line

  %{python2_sitelib}/uniseg

includes the directory and everything (anything!) in it. That is, all the following lines lines in the %files section, which specify individual .py files, are redundant. You also get warnings by rpmbuild: "warning: File listed twice": https://kojipkgs.fedoraproject.org//work/tasks/20/9210020/build.log

Many packagers add a trailing slash to directory entries in %files sections to make them more explicit, more readable, e.g.

  %{python2_sitelib}/uniseg/

does the same thing as

  %{python2_sitelib}/uniseg

but makes it more clear to the reader that it is supposed to be a directory.

https://fedoraproject.org/wiki/Packaging:Guidelines#File_and_Directory_Ownership
https://fedoraproject.org/wiki/Packaging:UnownedDirectories

The tool "rpmls" and "rpm" (rpm -qlvp …) are your friends when examining package contentes / files lists.


> %if 0%{?with_python3}
> %files -n python3-uniseg
> %{python3_sitelib}/*egg-info
> %{python3_sitelib}/uniseg
> %defattr(0755,root,root,-)
> %{_bindir}/uniseg-dbpath
> %{python3_sitelib}/uniseg/wraptest.py
> %{python3_sitelib}/uniseg/samples/uniwrap.py
> %{python3_sitelib}/uniseg/samples/unibreak.py
> %{python3_sitelib}/uniseg/samples/wxwrapdemo.py
> %{python3_sitelib}/uniseg/sentencebreaktest.py
> %{python3_sitelib}/uniseg/graphemeclustertest.py
> %{python3_sitelib}/uniseg/wordbreaktest.py
> %endif # with_python3

Same here.


> # strip python3 from shebang line
> sed -i'' -e 's,^.*#!/usr/bin/python3.*$,#!/usr/bin/python,g' %{buildroot}%{_bindir}/uniseg-dbpath

The file is included in both packages, so in package python3-uniseg /usr/bin/uniseg-dbpath would execute via /usr/bin/python which may be Python 2.


> BuildArch:      noarch
> BuildRequires:  sqlite

> Requires:       sqlite

Does it really need "sqlite" (no specific arch) at run-time?

  $ grep sqlite * -R
  Binary file uniseg/__pycache__/db.cpython-34.pyo matches
  Binary file uniseg/__pycache__/db.cpython-34.pyc matches
  Binary file uniseg/ucd.sqlite3 matches
  uniseg/db.py:import sqlite3
  uniseg/db.py:    dbname = 'ucd.sqlite3'
  uniseg/db.py:    _conn = sqlite3.connect(_dbpath)

Typically, a comment should explain such explicit Requires:
https://fedoraproject.org/wiki/Packaging:Guidelines#Explicit_Requires

[...]

Consider pointing the fedora-review tool at review tickets like this: fedora-review -b 1201338

Comment 2 Murilo Opsfelder Araujo 2015-04-28 01:37:00 UTC
Hello, Michael.

Thanks a lot for your time on reviewing this package.  I did update the package and would really appreciate if you could take a look at it again.

(In reply to Michael Schwendt (Fedora Packager Sponsors Group) from comment #1)
> [not a full review - just some drive-by comments]
> 
>  * https://fedoraproject.org/wiki/Packaging:LicensingGuidelines#License_Text
>  * https://fedoraproject.org/wiki/Packaging:Guidelines#File_Permissions
>  * https://fedoraproject.org/wiki/Packaging:Guidelines#BuildRoot_tag
> 

I fixed file permissions in %files section.  I also removed Buildroot directive.

As to %license, I asked upstream maintainer to add a LICENSE file with a copy of the MIT license.

> 
> > Version:        0.7.1
> 
> The included README says 0.7.0, so in case you've packaged a pre-release
> snapshot, it should either follow the pre-release versioning guidelines when
> keeping "Version: 0.7.1" or switch to "Version: 0.7.0" and follow the
> post-release guidelines:
> 
>  * https://fedoraproject.org/wiki/Packaging:Guidelines#Version_and_Release
> 

This time, I packaged a released version, i.e. 0.7.0.

> 
> > %files
> > %{python2_sitelib}/*egg-info
> > %{python2_sitelib}/uniseg
> > %defattr(0755,root,root,-)
> > %{_bindir}/uniseg-dbpath
> > %{python2_sitelib}/uniseg/wraptest.py
> > %{python2_sitelib}/uniseg/samples/uniwrap.py
> > %{python2_sitelib}/uniseg/samples/unibreak.py
> > %{python2_sitelib}/uniseg/samples/wxwrapdemo.py
> > %{python2_sitelib}/uniseg/sentencebreaktest.py
> > %{python2_sitelib}/uniseg/graphemeclustertest.py
> > %{python2_sitelib}/uniseg/wordbreaktest.py
> 
> This %files section looks much as if it is the result of trial-and-error
> build attempts:
> 
> > %{python2_sitelib}/uniseg
> > ...
> > %{python2_sitelib}/uniseg/wraptest.py
> 
> If  %{python2_sitelib}/uniseg  is a directory, the line
> 
>   %{python2_sitelib}/uniseg
> 
> includes the directory and everything (anything!) in it. That is, all the
> following lines lines in the %files section, which specify individual .py
> files, are redundant. You also get warnings by rpmbuild: "warning: File
> listed twice":
> https://kojipkgs.fedoraproject.org//work/tasks/20/9210020/build.log
> 
> Many packagers add a trailing slash to directory entries in %files sections
> to make them more explicit, more readable, e.g.
> 
>   %{python2_sitelib}/uniseg/
> 
> does the same thing as
> 
>   %{python2_sitelib}/uniseg
> 
> but makes it more clear to the reader that it is supposed to be a directory.
> 
> https://fedoraproject.org/wiki/Packaging:
> Guidelines#File_and_Directory_Ownership
> https://fedoraproject.org/wiki/Packaging:UnownedDirectories
> 
> The tool "rpmls" and "rpm" (rpm -qlvp …) are your friends when examining
> package contentes / files lists.
> 

I listed %{python2_sitelib}/uniseg/ in %files for readability.

> 
> > %if 0%{?with_python3}
> > %files -n python3-uniseg
> > %{python3_sitelib}/*egg-info
> > %{python3_sitelib}/uniseg
> > %defattr(0755,root,root,-)
> > %{_bindir}/uniseg-dbpath
> > %{python3_sitelib}/uniseg/wraptest.py
> > %{python3_sitelib}/uniseg/samples/uniwrap.py
> > %{python3_sitelib}/uniseg/samples/unibreak.py
> > %{python3_sitelib}/uniseg/samples/wxwrapdemo.py
> > %{python3_sitelib}/uniseg/sentencebreaktest.py
> > %{python3_sitelib}/uniseg/graphemeclustertest.py
> > %{python3_sitelib}/uniseg/wordbreaktest.py
> > %endif # with_python3
> 
> Same here.
> 

Fixed that too.

> 
> > # strip python3 from shebang line
> > sed -i'' -e 's,^.*#!/usr/bin/python3.*$,#!/usr/bin/python,g' %{buildroot}%{_bindir}/uniseg-dbpath
> 
> The file is included in both packages, so in package python3-uniseg
> /usr/bin/uniseg-dbpath would execute via /usr/bin/python which may be Python
> 2.
> 

Since setup.py is called twice with different python interpreters (one with python2 and another with python3), the last installed /usr/bin/uniseg-dbpath file ends up having /usr/bin/python3 in the shebang line.

> 
> > BuildArch:      noarch
> > BuildRequires:  sqlite
> 
> > Requires:       sqlite
> 
> Does it really need "sqlite" (no specific arch) at run-time?
> 
>   $ grep sqlite * -R
>   Binary file uniseg/__pycache__/db.cpython-34.pyo matches
>   Binary file uniseg/__pycache__/db.cpython-34.pyc matches
>   Binary file uniseg/ucd.sqlite3 matches
>   uniseg/db.py:import sqlite3
>   uniseg/db.py:    dbname = 'ucd.sqlite3'
>   uniseg/db.py:    _conn = sqlite3.connect(_dbpath)
> 
> Typically, a comment should explain such explicit Requires:
> https://fedoraproject.org/wiki/Packaging:Guidelines#Explicit_Requires
> 

I removed sqlite from Requires.

> [...]
> 
> Consider pointing the fedora-review tool at review tickets like this:
> fedora-review -b 1201338

Spec URL: https://mopsfelder.fedorapeople.org/SPECS/python-uniseg.spec
SRPM URL: https://mopsfelder.fedorapeople.org/SRPMS/python-uniseg-0.7.0-1.fc23.src.rpm

Koji task: http://koji.fedoraproject.org/koji/taskinfo?taskID=9582619

Comment 3 William Moreno 2015-10-29 23:31:51 UTC
Do you want to continue this review?

Comment 4 Murilo Opsfelder Araújo 2015-11-05 14:05:41 UTC
Hello, William.

I do.  I'm focused on other topics at the moment but I think I can provide an updated src.rpm next month.

Until there, do you prefer to close this bug and I re-open it further?

Comment 5 William Moreno 2015-11-05 14:56:58 UTC
OK, I will take this review, for me there is no need to close this bug.

Comment 6 William Moreno 2016-01-06 19:33:52 UTC
Any update here?

Comment 7 Upstream Release Monitoring 2016-01-11 20:54:29 UTC
mopsfelder's scratch build of python-uniseg-0.7.1-0.el6.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12503363

Comment 8 Murilo Opsfelder Araújo 2016-01-11 22:09:32 UTC
(In reply to Upstream Release Monitoring from comment #7)
> mopsfelder's scratch build of python-uniseg-0.7.1-0.el6.src.rpm for rawhide
> completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12503363

(This level of automation scares me.  Thanks, Fedora guys!)

William, comment 7 has the build I submitted with the latest 0.7.1 version of python-uniseg.

I'd appreciate if you can review it.  Thanks!

Comment 9 William Moreno 2016-01-21 23:32:10 UTC
Package Review
==============
1. There is a docs directory than you can build with sphinx and include in a doc subpackage.

2. You can get the License text from upstream to include it in the spec:
https://bitbucket.org/emptypage/uniseg-python/src/d6436d00e293cb1b4876def8501959da5b6716bd/LICENSE?fileviewer=file-view-default

3. Include the README.txt with %doc also include uniseg/docs/uniseg.ja.html

4. There is a docs directory than you can build with sphinx and include in a doc subpackage.

===== MUST items =====

Generic:
[Pass]: Package is licensed with an open-source compatible license and meets
        other legal requirements as defined in the legal section of Packaging
        Guidelines.
[Na]:   If (and only if) the source package includes the text of the
        license(s) in its own file, then that file, containing the text of the
        license(s) for the package is included in %license.
[Pass]: License field in the package spec file matches the actual license.
[NA]:   License file installed when any subpackage combination is installed.
[Pass]: Package contains no bundled libraries without FPC exception.
[Pass]: Changelog in prescribed format.
[Pass]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
        beginning of %install.
[Pass]: Sources contain only permissible code or content.
[NA]:   Package contains desktop file if it is a GUI application.
[NA]:   Development files must be in a -devel package
[NA]:   Package uses nothing in %doc for runtime.
[Pass]: Package consistently uses macros (instead of hard-coded directory
        names).
[Pass]: Package is named according to the Package Naming Guidelines.
[Pass]: Package does not generate any conflict.
[Pass]: Package obeys FHS, except libexecdir and /usr/target.
[Pass]: If the package is a rename of another package, proper Obsoletes and
        Provides are present.
[Pass]: Requires correct, justified where necessary.
[Pass]: Spec file is legible and written in American English.
[Pass]: Package contains systemd file(s) if in need.
[Pass]: Package is not known to require an ExcludeArch tag.
[Pass]: Package complies to the Packaging Guidelines
[Pass]: Package successfully compiles and builds into binary rpms on at least
        one supported primary architecture.
[Pass]: Package installs properly.
[Pass]: Rpmlint is run on all rpms the build produces.
[Pass]: Package requires other packages for directories it uses.
[Pass]: Package must own all directories that it creates.
[Pass]: Package does not own files or directories owned by other packages.
[Pass]: All build dependencies are listed in BuildRequires, except for any
        that are listed in the exceptions section of Packaging Guidelines.
[Pass]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[Pass]: Macros in Summary, %description expandable at SRPM build time.
[Pass]: Dist tag is present.
[Pass]: Package does not contain duplicates in %files.
[Pass]: Permissions on files are set properly.
[Pass]: Package use %makeinstall only when make install DESTDIR=... doesn't
        work.
[Pass]: Package is named using only allowed ASCII characters.
[Pass]: Package does not use a name that already exists.
[Pass]: Package is not relocatable.
[Pass]: Sources used to build the package match the upstream source, as
        provided in the spec URL.
[Pass]: Spec file name must match the spec package %{name}, in the format
        %{name}.spec.
[Pass]: File names are valid UTF-8.
[Pass]: Large documentation must go in a -doc subpackage. 
[Pass]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====
Generic:
[ ]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[ ]: Final provides and requires are sane (see attachments).
[ ]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python3-uniseg
[ ]: Package functions as described.
[ ]: Latest version is packaged.
[ ]: Package does not include license text files separate from upstream.
[ ]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[ ]: Package should compile and build into binary rpms on all supported
     architectures.
[ ]: %check is present and all tests pass.
[ ]: Packages should try to preserve timestamps of original installed
     files.
[ ]: Spec use %global instead of %define unless justified.
     Note: %define requiring justification: %define unicode_version 6.2.0,
     %define srcdir emptypage-uniseg-python-8fed7c16392f
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.

===== EXTRA items =====
Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python-uniseg-0.7.0-1.fc24.noarch.rpm
          python3-uniseg-0.7.0-1.fc24.noarch.rpm
          python-uniseg-0.7.0-1.fc24.src.rpm
python-uniseg.noarch: W: no-documentation
python-uniseg.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/uniseg/samples/uniwrap.py 644 /usr/bin/env
python-uniseg.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/uniseg/graphemeclustertest.py 644 /usr/bin/env
python-uniseg.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/uniseg/samples/wxwrapdemo.py 644 /usr/bin/env
python-uniseg.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/uniseg/samples/unibreak.py 644 /usr/bin/env
python-uniseg.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/uniseg/sentencebreaktest.py 644 /usr/bin/env
python-uniseg.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/uniseg/wordbreaktest.py 644 /usr/bin/env
python-uniseg.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/uniseg/wraptest.py 644 /usr/bin/env
python-uniseg.noarch: W: no-manual-page-for-binary uniseg-dbpath
python3-uniseg.noarch: W: no-documentation
python3-uniseg.noarch: E: non-executable-script /usr/lib/python3.5/site-packages/uniseg/wraptest.py 644 /usr/bin/env
python3-uniseg.noarch: E: non-executable-script /usr/lib/python3.5/site-packages/uniseg/samples/wxwrapdemo.py 644 /usr/bin/env
python3-uniseg.noarch: E: non-executable-script /usr/lib/python3.5/site-packages/uniseg/graphemeclustertest.py 644 /usr/bin/env
python3-uniseg.noarch: E: non-executable-script /usr/lib/python3.5/site-packages/uniseg/wordbreaktest.py 644 /usr/bin/env
python3-uniseg.noarch: E: non-executable-script /usr/lib/python3.5/site-packages/uniseg/samples/unibreak.py 644 /usr/bin/env
python3-uniseg.noarch: E: non-executable-script /usr/lib/python3.5/site-packages/uniseg/samples/uniwrap.py 644 /usr/bin/env
python3-uniseg.noarch: E: non-executable-script /usr/lib/python3.5/site-packages/uniseg/sentencebreaktest.py 644 /usr/bin/env
python3-uniseg.noarch: W: no-manual-page-for-binary uniseg-dbpath
3 packages and 0 specfiles checked; 14 errors, 4 warnings.

Rpmlint (installed packages)
----------------------------
python-uniseg.noarch: W: no-documentation
python-uniseg.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/uniseg/samples/wxwrapdemo.py 644 /usr/bin/env
python-uniseg.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/uniseg/graphemeclustertest.py 644 /usr/bin/env
python-uniseg.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/uniseg/samples/unibreak.py 644 /usr/bin/env
python-uniseg.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/uniseg/sentencebreaktest.py 644 /usr/bin/env
python-uniseg.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/uniseg/wraptest.py 644 /usr/bin/env
python-uniseg.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/uniseg/wordbreaktest.py 644 /usr/bin/env
python-uniseg.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/uniseg/samples/uniwrap.py 644 /usr/bin/env
python-uniseg.noarch: W: no-manual-page-for-binary uniseg-dbpath
python3-uniseg.noarch: W: no-documentation
python3-uniseg.noarch: E: non-executable-script /usr/lib/python3.5/site-packages/uniseg/wordbreaktest.py 644 /usr/bin/env
python3-uniseg.noarch: E: non-executable-script /usr/lib/python3.5/site-packages/uniseg/sentencebreaktest.py 644 /usr/bin/env
python3-uniseg.noarch: E: non-executable-script /usr/lib/python3.5/site-packages/uniseg/wraptest.py 644 /usr/bin/env
python3-uniseg.noarch: E: non-executable-script /usr/lib/python3.5/site-packages/uniseg/samples/uniwrap.py 644 /usr/bin/env
python3-uniseg.noarch: E: non-executable-script /usr/lib/python3.5/site-packages/uniseg/samples/unibreak.py 644 /usr/bin/env
python3-uniseg.noarch: E: non-executable-script /usr/lib/python3.5/site-packages/uniseg/samples/wxwrapdemo.py 644 /usr/bin/env
python3-uniseg.noarch: E: non-executable-script /usr/lib/python3.5/site-packages/uniseg/graphemeclustertest.py 644 /usr/bin/env
python3-uniseg.noarch: W: no-manual-page-for-binary uniseg-dbpath
2 packages and 0 specfiles checked; 14 errors, 4 warnings.

Requires
--------
python-uniseg (rpmlib, GLIBC filtered):
    /usr/bin/python
    python(abi)

python3-uniseg (rpmlib, GLIBC filtered):
    /usr/bin/python
    python(abi)

Provides
--------
python-uniseg:
    python-uniseg

python3-uniseg:
    python3-uniseg

Source checksums
----------------
https://bitbucket.org/emptypage/uniseg-python/get/rel-0.7.0.tar.gz :
  CHECKSUM(SHA256) this package     : 2cd74d67690298438607c6064e78690c7b60152536149dd4886995970051ab1f
  CHECKSUM(SHA256) upstream package : 2cd74d67690298438607c6064e78690c7b60152536149dd4886995970051ab1f

Comment 10 William Moreno 2016-03-11 20:38:59 UTC
Any update?

Comment 11 Murilo Opsfelder Araújo 2016-03-22 18:43:48 UTC
Hi, William.

This turned into a low priority for me.  What if we close this bug for now and when I have an updated package containing fixes for issues you pointed out I reopen it?  Does that work?

Thanks a lot for your review!

Comment 12 William Moreno 2016-03-30 18:02:24 UTC
I can wait for the updated spec.

Comment 13 William Moreno 2016-04-19 20:05:00 UTC
Any update?

Comment 14 Parag AN(पराग) 2016-08-10 16:42:00 UTC
Well then based on comment#11 lets close this.

Murilo, when you want to continue here please just reopen and provide updated SPEC and SRPM links.


Note You need to log in before you can comment on or make changes to this bug.